## r-cran-sitmo 2.0.1

=== DESCRIPTION ===
Package: sitmo
Title: Parallel Pseudo Random Number Generator (PPRNG) 'sitmo' Header
        Files
Version: 2.0.1
Authors@R: c(person("James", "Balamuta", email = "balamut2@illinois.edu", role = c("aut", "cre", "cph"),
                    comment = c(ORCID = "0000-0003-2826-8458")),
             person("Thijs","van den Berg", email = "thijs@sitmo.com", role = c("aut", "cph")),
             person("Ralf", "Stubner", email = "ralf.stubner@daqana.com", role = c("ctb")))
Description: Provided within are two high quality and fast PPRNGs that may be
    used in an 'OpenMP' parallel environment. In addition, there is a generator
    for one dimensional low-discrepancy sequence. The objective of this library
    to consolidate the distribution of the 'sitmo' (C++98 & C++11), 'threefry' and
    'vandercorput' (C++11-only) engines on CRAN by enabling others to link to the
    header files inside of 'sitmo' instead of including a copy of each engine
    within their individual package. Lastly, the package contains example
    implementations using the 'sitmo' package and three accompanying vignette that
    provide additional information.
Depends: R (>= 3.2.0)
URL: https://github.com/coatless/sitmo,
        http://thecoatlessprofessor.com/projects/sitmo/,
        https://github.com/stdfin/random/
BugReports: https://github.com/coatless/sitmo/issues
License: MIT + file LICENSE
LazyData: true
LinkingTo: Rcpp
Imports: Rcpp (>= 0.12.13)
RoxygenNote: 6.1.1
Suggests: knitr, rmarkdown, ggplot2
VignetteBuilder: knitr
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2019-01-04 18:21:27 UTC; ronin
Author: James Balamuta [aut, cre, cph]
    (<https://orcid.org/0000-0003-2826-8458>),
  Thijs van den Berg [aut, cph],
  Ralf Stubner [ctb]
Maintainer: James Balamuta <balamut2@illinois.edu>
Repository: CRAN
Date/Publication: 2019-01-07 21:40:07 UTC

=== debian/changelog ===
r-cran-sitmo (2.0.1-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:24:44 +0100

r-cran-sitmo (2.0.1-2) unstable; urgency=medium

  * Standards-Version: 4.4.1
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 28 Dec 2019 07:53:03 +0100

r-cran-sitmo (2.0.1-1) unstable; urgency=medium

  * Initial release (closes: #939837, #942682)

 -- Andreas Tille <tille@debian.org>  Mon, 09 Sep 2019 14:37:01 +0200

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/sitmo_([-\d.]*)\.tar\.gz

## r-cran-sitmo 2.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: sitmo
 Title: Parallel Pseudo Random Number Generator (PPRNG) 'sitmo' Header
         Files
-Version: 2.0.1
+Version: 2.0.2
 Authors@R: c(person("James", "Balamuta", email = "balamut2@illinois.edu", role = c("aut", "cre", "cph"),
                     comment = c(ORCID = "0000-0003-2826-8458")),
              person("Thijs","van den Berg", email = "thijs@sitmo.com", role = c("aut", "cph")),
@@ -21,19 +21,18 @@
         https://github.com/stdfin/random/
 BugReports: https://github.com/coatless/sitmo/issues
 License: MIT + file LICENSE
-LazyData: true
 LinkingTo: Rcpp
 Imports: Rcpp (>= 0.12.13)
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.1
 Suggests: knitr, rmarkdown, ggplot2
 VignetteBuilder: knitr
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2019-01-04 18:21:27 UTC; ronin
+Packaged: 2021-10-13 03:57:03 UTC; ronin
 Author: James Balamuta [aut, cre, cph]
     (<https://orcid.org/0000-0003-2826-8458>),
   Thijs van den Berg [aut, cph],
   Ralf Stubner [ctb]
 Maintainer: James Balamuta <balamut2@illinois.edu>
 Repository: CRAN
-Date/Publication: 2019-01-07 21:40:07 UTC
+Date/Publication: 2021-10-13 04:50:02 UTC

=== debian/changelog ===
r-cran-sitmo (2.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 16 Oct 2021 20:21:14 +0000

=== debian/control ===
Source: r-cran-sitmo
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sitmo
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sitmo.git
Homepage: https://cran.r-project.org/package=sitmo
Rules-Requires-Root: no

Package: r-cran-sitmo
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R parallel pseudo random number generator 'sitmo' header files
 Provided within are two high quality and fast PPRNGs that may be
 used in an 'OpenMP' parallel environment. In addition, there is a generator
 for one dimensional low-discrepancy sequence. The objective of this library
 to consolidate the distribution of the 'sitmo' (C++98 & C++11), 'threefry' and
 'vandercorput' (C++11-only) engines on CRAN by enabling others to link to the
 header files inside of 'sitmo' instead of including a copy of each engine
 within their individual package. Lastly, the package contains example
 implementations using the 'sitmo' package and three accompanying vignette that
 provide additional information.
